Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class ResourceComputationScheduler.CallStatus

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceComputationScheduler.CallStatus

Enclosing class:
  `ResourceComputationScheduler<T>`

public static class ResourceComputationScheduler.CallStatus extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ResourceComputationScheduler.CallStatus`
`FINISHED`
`static final ResourceComputationScheduler.CallStatus`
`FINISHING`
`static final ResourceComputationScheduler.CallStatus`
`SCHEDULED`
`static final ResourceComputationScheduler.CallStatus`
`SETTING_UP`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
`ResourceComputationScheduler.ComputationState`
`getState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SETTING_UP

public static final ResourceComputationScheduler.CallStatus SETTING_UP

### SCHEDULED

public static final ResourceComputationScheduler.CallStatus SCHEDULED

### FINISHING

public static final ResourceComputationScheduler.CallStatus FINISHING

### FINISHED

public static final ResourceComputationScheduler.CallStatus FINISHED

## Method Details

### getCause

public Throwable getCause()

### getState

public ResourceComputationScheduler.ComputationState getState()